<?php
$wp_customize->add_section(
    'banner_section',
    array(
        'title' => __( 'Banner Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);

$wp_customize->add_setting(
    'banner_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'banner_section_disable',
        array(
            'settings'      => 'banner_section_disable',
            'section'       => 'banner_section',
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);

// backgroundManager($wp_customize, 'banner', 'banner_section', $color='#F5DBC1', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'sec_bannerpadding', 'banner_section', 'Section Padding');

$wp_customize->add_setting(
    'bannerTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'bannerTpadding',
    array(
        'settings'      => 'bannerTpadding',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'bannerBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'bannerBpadding',
    array(
        'settings'      => 'bannerBpadding',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'sec_call_lefcorner', 'banner_section', 'Number Text ');

$wp_customize->add_setting(
    'banner_shape_text1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '05', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_shape_text1',
    array(
        'settings'      => 'banner_shape_text1',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Number Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'banner_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'banner_title_heading',
        array(
            'settings'      => 'banner_title_heading',
            'section'       => 'banner_section',
            'label'         => __( 'Section Heading And Sub Heading', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'banner_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'YOUR VISION', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_title',
    array(
        'settings'      => 'banner_title',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Heading ', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'banner_sub_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'OUR EXPERTISE', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_sub_title',
    array(
        'settings'      => 'banner_sub_title',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Highlighted Heading ', 'Luzuk' )
    )
); 

$wp_customize->add_setting(
    'banner_discount_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'If youre looking to engage with an interior design service via text, it is best to locate their official contact information, such as their phone', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'banner_discount_text',
    array(
        'settings'      => 'banner_discount_text',
        'section'       => 'banner_section',
        'type'          => 'text',
        'label'         => __( 'Text ', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'sec_call_rightboxclr', 'banner_section', 'Banner Color Setting'); 

addColorPalatOption($wp_customize, 'banner_numbxbgclr', 'banner_section', 'Number Box BG Color', '#FFC400'); 

addColorPalatOption($wp_customize, 'banner_numtxtclr', 'banner_section', 'Number Text Color', '#323232'); 

addColorPalatOption($wp_customize, 'banner_headtxtbxbgclr', 'banner_section', 'Heading And Text Box BG Color', '#323232'); 

addColorPalatOption($wp_customize, 'banner_headclr', 'banner_section', 'Heading Color', '#fff'); 

addColorPalatOption($wp_customize, 'banner_crnrshptxtclr', 'banner_section', 'Highlighted Heading Color', '#fff');

addColorPalatOption($wp_customize, 'banner_headingbrdclr', 'banner_section', 'Border Color', '#fff'); 

addColorPalatOption($wp_customize, 'banner_blktxtclr', 'banner_section', 'Text Color', '#fff'); 